### Interface

# Gio TlsFileDatabase

since: 2.30

#### Description

    interface Gio.TlsFileDatabase : Gio.TlsDatabase

`GTlsFileDatabase` is implemented by `GTlsDatabase` objects which load their certificate information from a file. It is an interface which TLS library specific subtypes implement.

Available since: 2.30

#### Prerequisite

In order to implement TlsFileDatabase, your type must inherit from`GTlsDatabase`.

#### Functions

###### g_tls_file_database_new

Creates a new `GTlsFileDatabase` which uses anchor certificate authorities in `anchors` to verify certificate chains.

since: 2.30

#### Properties

###### Gio.TlsFileDatabase:anchors

The path to a file containing PEM encoded certificate authority root anchors. The certificates in this file will be treated as root authorities for the purpose of verifying other certificates via the `g_tls_database_verify_chain()` operation.

since: 2.30

#### Interface structure

    struct GioTlsFileDatabaseInterface {
      GTypeInterface g_iface;

    }

Provides an interface for `GTlsFileDatabase` implementations.

###### Interface members

`g_iface` |
    GTypeInterface
| The parent interface.